public class ExemplesUtilisationFormater {
  
  public static void main(String [] args) {
    {
    double d = 367.1415934574267;
    Ecran.formater("%8.3e\n%8.3f\n%8.6g\n",d,d,d);
    }
    Ecran.sautDeLigne();
    {
    int i = 5;
    double d = 3.14159;
    boolean b = true;
    char c = 'a';
    String s = "Test";
    Ecran.formater("%8d\n%8.2f\n%8b\n%8c\n%8s\n",i,d,b,c,s);
    }
    Ecran.sautDeLigne();
    {
    int i = 1005;
    Ecran.formater("%8d\n%8o\n%8x\n%8b\n%8s\n%8c\n",i,i,i,i,i,i);
    }
    Ecran.sautDeLigne();
    {
    double d = 367.1415934574267;
    Ecran.formater("%8e\n%8f\n%8g\n",d,d,d);
    Ecran.formater("%8.3e\n%8.3f\n%8.3g\n",d,d,d);
    Ecran.formater("%20.12e\n%20.12f\n%20.12g\n",d,d,d);
    Ecran.formater("%8b\n%8s\n",d,d);
    }
    Ecran.sautDeLigne();
    {
    int i = 1005;
    Ecran.formater("%-8d\n%+8d\n% 8d\n%08d\n",i,i,i,i);
    Ecran.formater("%+08d\n",i);
    int j = -1005;
    Ecran.formater("%-8d\n%+8d\n% 8d\n%08d\n",j,j,j,j);
    Ecran.formater("%+08d\n",j);
    }
  }
}